package Lambda;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class PredicateExample {

    private static final Logger logger = LoggerFactory.getLogger(FunctionalInterfaceExample.class);
    public static void main(String[] args) {
        Display i = () -> System.out.println("This is predicate example");
        i.hello();

        SumOfTwoIntegers s = (a, b) -> String.valueOf((a+b));
        logger.info(s.sum(5,6));
        logger.info(s.sum(7,7));
    }
}
